org.apache.hc.core5.http.nio.support

## Class AsyncPushBuilder

- java.lang.Object
- - org.apache.hc.core5.http.nio.support.AsyncPushBuilder

-     public class AsyncPushBuilder
      extends Object

  Builder for `AsyncPushProducer` instances.
  Since:
    5.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsyncPushBuilder` | `addHeader(Header header)`
    `AsyncPushBuilder` | `addHeader(String name, String value)`
    `AsyncPushProducer` | `build()`
    `static AsyncPushBuilder` | `create(int status)`
    `AsyncEntityProducer` | `getEntity()`
    `Header` | `getFirstHeader(String name)`
    `Header[]` | `getHeaders(String name)`
    `Header` | `getLastHeader(String name)`
    `AsyncPushBuilder` | `removeHeader(Header header)`
    `AsyncPushBuilder` | `removeHeaders(String name)`
    `AsyncPushBuilder` | `setEntity(AsyncEntityProducer entityProducer)`
    `AsyncPushBuilder` | `setEntity(byte[] content, ContentType contentType)`
    `AsyncPushBuilder` | `setEntity(String content)`
    `AsyncPushBuilder` | `setEntity(String content, ContentType contentType)`
    `AsyncPushBuilder` | `setHeader(Header header)`
    `AsyncPushBuilder` | `setHeader(String name, String value)`
    `AsyncPushBuilder` | `setHeaders(Header... headers)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static AsyncPushBuilder create(int status)

    - #### getHeaders

          public Header[] getHeaders(String name)

    - #### setHeaders

          public AsyncPushBuilder setHeaders(Header... headers)

    - #### getFirstHeader

          public Header getFirstHeader(String name)

    - #### getLastHeader

          public Header getLastHeader(String name)

    - #### addHeader

          public AsyncPushBuilder addHeader(Header header)

    - #### addHeader

          public AsyncPushBuilder addHeader(String name,
                                   String value)

    - #### removeHeader

          public AsyncPushBuilder removeHeader(Header header)

    - #### removeHeaders

          public AsyncPushBuilder removeHeaders(String name)

    - #### setHeader

          public AsyncPushBuilder setHeader(Header header)

    - #### setHeader

          public AsyncPushBuilder setHeader(String name,
                                   String value)

    - #### getEntity

          public AsyncEntityProducer getEntity()

    - #### setEntity

          public AsyncPushBuilder setEntity(AsyncEntityProducer entityProducer)

    - #### setEntity

          public AsyncPushBuilder setEntity(String content,
                                   ContentType contentType)

    - #### setEntity

          public AsyncPushBuilder setEntity(String content)

    - #### setEntity

          public AsyncPushBuilder setEntity(byte[] content,
                                   ContentType contentType)

    - #### build

          public AsyncPushProducer build()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2020 The Apache Software Foundation. All rights reserved.